usbmuxd(1)

NAME
usbmuxd - iPhone/iPod Touch USB multiplex server daemon

SYNOPSIS
usbmuxd [options]

DESCRIPTION
usbmuxd stands for "USB multiplexing daemon". To the user/developer what it actually does is to proxy requests over a USB cable on directly to a listening TCP port on the iPhone.

OPTIONS

-h|--help
    Print this message.

-v|--verbose
    Be verbose (use twice or more to increase).

-f|--foreground
    Do not daemonize (implies one -v).

-U|--user[=USER]
    Change to this user after startup (needs usb privileges). If USER is not specified, defaults to usbmux.

-u|--udev
    Run in udev operation mode.

-x|--exit
    Tell a running instance to exit if there are no devices connected (must be in udev mode).

-X|--force-exit
    Tell a running instance to exit, even if there are still devices connected (always works).

AUTHORS
Hector Martin "marcan" <hector@marcansoft.com> Nikias Bassen <nikias@gmx.li> Paul Sladen <libiphone@paul.sladen.org> Man page written to conform with Debian by Julien Lavergne.